Class | PhusionPassenger::AdminTools::ServerInstance::Process
In: | lib/phusion_passenger/admin_tools/server_instance.rb
Parent: | Object

### Methods

connect has_metrics? new

### Constants

INT_PROPERTIES | = | [:pid, :sessions, :processed, :cpu, :rss, :real_memory, :vmsize, :process_group_id]
BOOL_PROPERTIES | = | [:has_metrics]

### Attributes

command | [RW] |
connect_password | [RW] |
cpu | [RW] |
group | [R] |
gupid | [RW] |
has_metrics | [RW] |
pid | [RW] |
process_group_id | [RW] |
processed | [RW] |
real_memory | [RW] |
rss | [RW] |
server_sockets | [RW] |
sessions | [RW] |
uptime | [RW] |
vmsize | [RW] |

### Public Class methods

new(group)

### Public Instance methods

connect(socket_name = :main)
has_metrics?()

[Validate]